Ext.application({

	name: "IceCap",
	appFolder: "/ice-cap/app",

	paths: {
		"IceCap": "/ice-cap/app"
	},

	requires: [
		"IceCap.view.Emulator",
		"IceCap.util.Handler"
	],

	launch: function () {

		var i_self = this;

		Ext.USE_NATIVE_JSON = false;

		Ext.state.Manager.setProvider(Ext.create("Ext.state.LocalStorageProvider"));

		var o_objects = Ext.Object.fromQueryString(window.location.search);

		var i_main = Ext.create("IceCap.view.Emulator", {
			plugins: "viewport",
			closable: false,
			theme: o_objects.theme || "",
			scale: 14
		});
	}
});
